package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.baoguanqixiancelue.model.GCeLueGuanJianCi;
import cpcns.base.configuration.AppConfiguration;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganzhengli.shiwu.model.DShiWu;
import cpcns.danganzhengli.wenshu.wenjian.model.DWenJian;
import cpcns.danganzhengli.yinxiang.model.DYinXiang;
import cpcns.dingZhi.jiJian.model.jiJian;
import cpcns.dingZhi.keji.model.keJi;
import cpcns.dingZhi.kuaiJi.model.kuaiJi;
import cpcns.dingZhi.renshi.model.renshi;
import cpcns.dingZhi.zHUANTI.model.zHUANTI;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.quanzongjuanweihu.quanzongzhinan.model.DQuanZongJuanXinXi;
import cpcns.utils.CommStatic;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.lang3.StringUtils;

public class YeWuStatic extends CommStatic {
  public static Object getMenLeiToEntity(String ml) {
    Object me = "";
    if (("WS".equals(ml) || "XWS".equals(ml) || "MQWS".equals(ml) || "MGWS".equals(ml) || 
      "GMLSWS".equals(ml) || "ZGWS".equals(ml) || "XXWS".equals(ml) || "GYPCWS".equals(ml) || 
      "MXPCWS".equals(ml) || "RKPCWS".equals(ml) || "YQXWS".equals(ml) || ml.equals("DSJYXWS") || ml.contains("XWS")) && !ml.contains("FP")) {
      me = new DWenJian();
    } else if ("ZP".equals(ml) || "LX".equals(ml) || "LY".equals(ml) || 
      "YQZP".equals(ml) || "YQLX".equals(ml) || "YQLY".equals(ml)) {
      me = new DYinXiang();
    } else if ("QZJ".equals(ml)) {
      me = new DQuanZongJuanXinXi();
    } else if ("SW".equals(ml) || "YQSW".equals(ml)) {
      me = new DShiWu();
    } else if ("CW".equals(ml)) {
      me = new kuaiJi();
    } else if ("RS".equals(ml)) {
      me = new renshi();
    } else if ("JJ".equals(ml)) {
      me = new jiJian();
    } else if ("KJ".equals(ml)) {
      me = new keJi();
    } else if (ml.indexOf("FP") >= 0) {
      me = new zHUANTI();
    } else if ("SJJXMWS".equals(ml)) {
      me = new DWenJian();
    } 
    return me;
  }
  
  public static String huoQuCeLueGuanJianCi(List<GCeLueGuanJianCi> lists) {
    StringBuilder sb = new StringBuilder("");
    String gjcall = "";
    if (lists != null && lists.size() > 0)
      for (int i = 0; i < lists.size(); i++) {
        GCeLueGuanJianCi gjc = lists.get(i);
        if (sb.indexOf("," + gjc.getGuanJianCi()) < 0) {
          sb.append(",");
          sb.append(gjc.getGuanJianCi());
        } 
      }  
    if (sb.length() > 0)
      gjcall = sb.toString().substring(1, sb.length()); 
    return gjcall;
  }
  
  public static int getbgqxNum(List<GCeLueGuanJianCi> lists) {
    int num = 0;
    Map<String, Object> map = new HashMap<>();
    if (lists != null && lists.size() > 0)
      for (GCeLueGuanJianCi gjc : lists)
        map.put(gjc.getCeLueLeiXing(), gjc.getCeLueLeiXing());  
    if (!map.isEmpty())
      num = map.size(); 
    return num;
  }
  
  public static Map<String, List<GCeLueGuanJianCi>> getbgqxlx(List<GCeLueGuanJianCi> lists) {
    Map<String, List<GCeLueGuanJianCi>> gbqx = new HashMap<>();
    List<GCeLueGuanJianCi> yj = new ArrayList<>();
    List<GCeLueGuanJianCi> dq30 = new ArrayList<>();
    List<GCeLueGuanJianCi> dq10 = new ArrayList<>();
    if (lists != null && lists.size() > 0) {
      for (GCeLueGuanJianCi gjc : lists) {
        if (gjc.getCeLueLeiXing().intValue() == 1) {
          yj.add(gjc);
          continue;
        } 
        if (gjc.getCeLueLeiXing().intValue() == 2) {
          dq30.add(gjc);
          continue;
        } 
        if (gjc.getCeLueLeiXing().intValue() == 3)
          dq10.add(gjc); 
      } 
      if (yj.size() > 0)
        gbqx.put("0", yj); 
      if (dq30.size() > 0)
        gbqx.put("1", dq30); 
      if (dq10.size() > 0)
        gbqx.put("2", dq10); 
    } 
    return gbqx;
  }
  
  public static Map<String, List<GCeLueGuanJianCi>> getwsfl(List<GCeLueGuanJianCi> flgjcs, List<GDangAnMenLei> damls) {
    Map<String, List<GCeLueGuanJianCi>> flTogjc = new HashMap<>();
    if (damls != null && damls.size() > 0)
      for (int i = 0; i < damls.size(); i++) {
        GDangAnMenLei obj = damls.get(i);
        Integer hbs = obj.getHangBiaoShi();
        String flh = obj.getFenLeiHao();
        if (!"XWS".equals(flh)) {
          List<GCeLueGuanJianCi> gjcs = new ArrayList<>();
          for (int j = 0; j < flgjcs.size(); j++) {
            GCeLueGuanJianCi gjc = flgjcs.get(j);
            Integer glbs = gjc.getGuanLianBiaoShi();
            if (hbs.equals(glbs))
              gjcs.add(gjc); 
          } 
          if (gjcs.size() > 0) {
            int hbs_index = (i < 0) ? 0 : i;
            flTogjc.put((new StringBuilder(String.valueOf(hbs_index))).toString(), gjcs);
          } 
        } 
      }  
    return flTogjc;
  }
  
  public static Map<String, String> getjbInfo(List<GCeLueGuanJianCi> lists) {
    Map<String, String> jb = new HashMap<>();
    String jbs = "";
    int min = 1;
    int max = 1;
    Map<String, String> temp = new HashMap<>();
    for (int i = 0; i < lists.size(); i++) {
      GCeLueGuanJianCi gjc = lists.get(i);
      int jb_ = gjc.getJiBie().intValue();
      temp.put((new StringBuilder(String.valueOf(jb_))).toString(), (new StringBuilder(String.valueOf(jb_))).toString());
      if (max < jb_)
        max = jb_; 
    } 
    for (String key : temp.keySet()) {
      if (jbs.equals("")) {
        jbs = key;
        continue;
      } 
      jbs = String.valueOf(jbs) + "," + key;
    } 
    jb.put("jb", jbs);
    jb.put("min", (new StringBuilder(String.valueOf(min))).toString());
    jb.put("max", (new StringBuilder(String.valueOf(max))).toString());
    return jb;
  }
  
  public static String getJiGouWenTi_MC(List<GDangAnMenLei> damls, String laiYuan) {
    String mc = "";
    if (damls != null && damls.size() > 0 && StringUtils.isNotBlank(laiYuan)) {
      String jdgx = "";
      for (int i = 0; i < damls.size(); i++) {
        GDangAnMenLei daml = damls.get(i);
        if (laiYuan.equals(daml.getFenLeiHao()))
          jdgx = daml.getJieDianGuanXi(); 
      } 
      if (StringUtils.isNotBlank(jdgx)) {
        String[] jdgxs = jdgx.split("|");
        if (jdgxs.length > 4)
          for (int j = 0; j < damls.size(); j++) {
            GDangAnMenLei daml = damls.get(j);
            if (jdgxs[3].equals(daml.getHangBiaoShi()))
              mc = daml.getMingCheng(); 
          }  
      } 
    } 
    return mc;
  }
  
  public static Connection getORACLEConnection() {
    Connection conn = null;
    try {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    } catch (ClassNotFoundException e) {
      e.printStackTrace();
    } 
    String url = AppConfiguration.getConfigValue("MDB_JDBC_URl");
    String dbName = AppConfiguration.getConfigValue("MDB_DBNAME");
    String dbPassword = AppConfiguration.getConfigValue("MDB_DBPASSWORD");
    try {
      conn = DriverManager.getConnection(url, dbName, dbPassword);
    } catch (SQLException e) {
      e.printStackTrace();
    } 
    return conn;
  }
  
  public static String getGB(String dbtype, List<HashMap> listws) {
    String gb = "";
    String size = "daxiao";
    if (!"MYSQL".equals(dbtype))
      size = "DAXIAO"; 
    if (listws != null && listws.size() > 0) {
      Map<String, Object> map = listws.get(0);
      Object daxiao = map.get(size);
      String dx_ = "0.0";
      if (daxiao != null && daxiao != "")
        if (daxiao.indexOf("MB") > 0) {
          dx_ = MBToKB((String)daxiao);
        } else {
          dx_ = ((String)daxiao).replaceAll("KB", "").replaceAll("kb", "");
        }  
      BigDecimal a = new BigDecimal(dx_);
      if (listws.size() == 1) {
        if (daxiao != null && daxiao != "")
          gb = (String)daxiao; 
      } else {
        for (int i = 1; i < listws.size(); i++) {
          map = listws.get(i);
          daxiao = map.get(size);
          if (daxiao != null && daxiao != "") {
            if (daxiao.indexOf("MB") > 0) {
              dx_ = MBToKB((String)daxiao);
            } else {
              dx_ = ((String)daxiao).replaceAll("KB", "").replaceAll("kb", "");
            } 
            BigDecimal b = new BigDecimal(dx_);
            a = a.add(b);
          } 
        } 
        BigDecimal c = new BigDecimal("1024");
        BigDecimal d = new BigDecimal("1024");
        a = a.divide(c, 3, 4);
        a = a.divide(d, 3, 4);
        gb = a.toString();
      } 
    } 
    return gb;
  }
  
  private static String MBToKB(String va) {
    String va_ = va.replaceAll("MB", "").replaceAll("MB", "");
    BigDecimal a = new BigDecimal(va_);
    BigDecimal c = new BigDecimal("1024");
    a = a.multiply(c);
    return a.toString();
  }
  
  public static String getHours(String dbtype, List<HashMap> lists) {
    String hours = "";
    String lx = "shichang";
    if (!"MYSQL".equals(dbtype))
      lx = "SHICHANG"; 
    if (lists != null && lists.size() > 0) {
      Map<String, Object> map = lists.get(0);
      Object obj = map.get(lx);
      String xiaoshi = "0";
      String fen = "0";
      String miao = "0";
      BigDecimal hs = new BigDecimal(xiaoshi);
      BigDecimal fs = new BigDecimal(fen);
      BigDecimal ms = new BigDecimal(miao);
      BigDecimal m60 = new BigDecimal("60");
      BigDecimal m3600 = new BigDecimal("3600");
      if (obj != null && obj != "") {
        String[] str = obj.split("小时");
        String[] str_ = str[1].split("分");
        xiaoshi = str[0];
        hs = new BigDecimal(xiaoshi);
        fen = str_[0];
        miao = str_[1].replaceAll("秒", "");
        hs = new BigDecimal(xiaoshi);
        fs = new BigDecimal(fen);
        ms = new BigDecimal(miao);
      } 
      if (lists.size() == 1) {
        if (obj != null && obj != "")
          fs = fs.add(ms.multiply(m60)); 
      } else {
        for (int i = 1; i < lists.size(); i++) {
          map = lists.get(i);
          obj = map.get(lx);
          if (obj != null && obj != "") {
            String[] str = obj.split("小时");
            String[] str_ = str[1].split("分");
            xiaoshi = str[0];
            BigDecimal h = new BigDecimal(xiaoshi);
            fen = str_[0];
            miao = str_[1].replaceAll("秒", "");
            BigDecimal f = new BigDecimal(fen);
            BigDecimal m = new BigDecimal(miao);
            fs = fs.add(f);
            ms = ms.add(m);
            hs = hs.add(h);
          } 
        } 
      } 
      ms = ms.add(fs.multiply(m60));
      hs = hs.add(ms.divide(m3600, 3, 4));
      hours = hs.toString();
    } 
    return hours;
  }
  
  public static Map<String, List<Map<String, Object>>> getQXList(List<XiTongDaiMa> isbgqx) {
    Map<String, List<Map<String, Object>>> gbqx = new HashMap<>();
    for (int i = 0; i < isbgqx.size(); i++) {
      XiTongDaiMa xtdm2 = isbgqx.get(i);
      String dm = xtdm2.getZiFuDaiMa();
      gbqx.put(dm, new ArrayList<>());
    } 
    return gbqx;
  }
}
